import request from '@/utils/request'

// 查询 常规 处方 列表
export function listConventionalPrescriptions(query) {
    return request({
      url: '/outpatientService/conventionalPrescriptions/list',
      method: 'get',
      params: query
    })
  }
  
  // 查询 常规 处方 详细
  export function getConventionalPrescriptions(id) {
    return request({
      url: '/outpatientService/conventionalPrescriptions/getInfo/' + id,
      method: 'get'
    })
  }
  
  // 新增 常规 处方
  export function addConventionalPrescriptions(data) {
    return request({
      url: '/outpatientService/conventionalPrescriptions/add',
      method: 'post',
      data: data
    })
  }
  
  // 修改 常规 处方
  export function updateConventionalPrescriptions(data) {
    return request({
      url: '/outpatientService/conventionalPrescriptions/update',
      method: 'post',
      data: data
    })
  }
  
  // 删除 常规 处方
  export function removeConventionalPrescriptions(id) {
    return request({
      url: '/outpatientService/conventionalPrescriptions/remove/' + id,
      method: 'get'
    })
  }